function [new_image] = fiesta_simulation()
% FIESTA_SIMULATION: Run a simulation where heart walls are being tracked
%
%    Licensing
%
%      GNU GPL version 3
%
%    GENERAL
%
%      Script
%
%    INPUT/S
%
%      -Omitted
%
%    OUTPUT/S
%
%      -
%
%    PENDING WORK
%
%      -
%
%    KNOWN BUG/S
%
%      -None.
%
%    DESCRIPTION
%
%      -The program outputs all undertaken experiments to properly named directories/files and annotation is included there so as to make experiments reproducible. The image frames with landmark points and arrows are then piped into imagemagick to save the frames as video files. All in all, this documents each experiment in a directory with plots and motion, which makes it easier to tweak parameters for better performance while also obtaining plots for different slices/datasets.
%
%    RELATED FUNCTION/S
%
%      SHUFFLE_TRANSFORM LOADTAGGEDSQUENCE
%
%    ABOUT
%
%      -Created:     December 2010
%      -Last update: December 24th, 2010
%      -Revision:    0.0.1
%      -Author:      Dr. R. S. Schestowitz
% ==============================================================

% ╔══════════════════════════════════════════════╗
% ║ fiesta_simulation ║ Dr. R. S. Schestowitz    ║
% ╟──────────────────────────────────────────────╢
% ║ Common commands                              ║
% ╚══════════════════════════════════════════════╝

% ensure all functions can be found


addpath(genpath('/home/roy/Main/IT/Programs/get_dicom_heart'));
addpath(genpath('/home/roy/Main/IT/Programs/biosig4octmat-2.50/biosig/'));
% path


% // 
% // loadtaggedsequence('~/Main/IT/Data/MR-Cardiac/Zhen-thesis','--width=1  -X  *.png',1,'min', 5,2, 0,'gradient', 1, 'surface', 1)
% // loadtaggedsequence('/home/roy/Main/IT/Data/Azhari/','--width=1 -X *.jpg',1,'min', 5,2, 0,'gradient', 1, 'image', 1)
% //
% // loadtaggedsequence('/home/roy/Main/IT/Data/MR-Cardiac/Full-CD/DICOM/ST000000/SE000019/sample','--width=1 -X *.bmp',1,'min', 5,2, 0,'gradient', 1, 'image', 1)

% loadtaggedsequence('/home/roy/Main/IT/Data/MR-Cardiac/Full-CD/DICOM/ST000000/SE000019/sample','--width=1 -X MR00001*',1,'sum',5,3,0,'gradient', 1, 'image', 1);


% loadtaggedsequence('/home/S00/schestr0/sample','*.png','sum',5,3,0,'gradient', 1, 'image', 0);

loadtaggedsequence('/home/S00/schestr0/sample','MR00000*.bmp',1,'sum', 6,2,0,'gradient', 1, 'image', 0)

% //
% // 180-190 - expansion
% // 190-200 - shrinking (20 images from each slice)
% //
% // loadtaggedsequence('/home/roy/Main/IT/Data/Synthetic-loops','--width=1 -X  *.png',1,'min', 5,2, 0,'gradient', 1, 'surface', 1)
% // loadtaggedsequence('/home/roy/Main/IT/Data/Synthetic-loops','--width=1 -X  *.png',1,'min', 5,2,0,'gradient', 1, 'image', 1)
% //
% // sopen("/home/roy/Main/IT/Data/Azhari/HCM4C.tag.avi")
% // img = opendicom("~/Main/IT/Data/MR-Cardiac/i148713.MRDC.1");  // deprecated function
% // sopen("~/Main/IT/Programs/MR-Cardiac/Full-CD/DICOM/ST000000/SE000019/MR000000");
% // img(i)=imread('sombrero.jpg')
% // plot(img.T0)   //metadata attributes
% // 
% // to encode images in advance:
% // ~/Main/IT/Programs/dicom2/dicom2 ~/Main/IT/Programs/MR-Cardiac/Full-CD/DICOM/ST000000/SE000014/*
